Foxit PDF SDK

Class Methods | List of all members
FSSplitPDFDoc Class Reference
Inheritance diagram for FSSplitPDFDoc:

## Class Methods
(FSProgressive *) | + startSplitByFileSize:setting_data:split_doc_array:split_callback:
| Start to split the PDF document into multiple PDF documents. More...

## Detailed Description

This class can be used to split a PDF document into multiple PDF documents.

See also
  FSPDFDoc

## Method Documentation

## ◆ startSplitByFileSize:setting_data:split_doc_array:split_callback:()

+ (FSProgressive *) startSplitByFileSize: |  | (float) | max_file_size
setting_data: |  | (FSSplitOutputSettingData*) | setting_data
split_doc_array: |  | (FSSplitDocumentInfoArray*) | split_doc_array
split_callback: |  | (id<FSSplitPDFDocCallback>) | split_callback

Start to split the PDF document into multiple PDF documents.

This function can be used to batch process multiple documents.
The specific information of the PDF documents after splitting will be returned in the callback function FSSplitPDFDocCallback::resultNotify:.

Parameters

  [in] | max_file_size | The maximum file size of the PDF document generated by splitting (unit is Megabytes). If the file size of the PDF document to be split is smaller than the value of this parameter, the PDF document cannot be split and status FSSplitFileResultSplitFileErrSizeTooSmall will be returned. The lower limit of this parameter's value is 0.5 Megabytes.
  [in] | setting_data | Setting data used for splitting.
  [in] | split_doc_array | An array of PDF documents to be split. The size of this array should be greater than 0.
  [in] | split_callback | A object which is implemented by user to pause and notify the splitting progress during the splitting process, as well as to notify the result of the split. This can be nil which means not to pause and notify the splitting progress. If this is not nil, it should be a valid object implemented by user. Default value: nil.

Returns
  A progressive object. Please check the rate of current progress by function FSProgressive::getRateOfProgress. If the rate is not 100 yet, call function FSProgressive::resume to continue the progress until the progress is finished.